import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { MarketplaceName, OrderStatus } from '..';
export interface IEmagResponse {
    success: boolean;
    message?: string;
    error?: string;
}
export interface IEmagSkusResponse {
    success: boolean;
    emagSkus?: string[];
    message?: string;
    error?: string;
}
export declare class EmagServiceClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    setOrdersStatus(companyId: ObjectId, marketplace: MarketplaceName, orderId: string, status: OrderStatus): Promise<IEmagResponse>;
    private finalizeOrder;
    getEmagSkus(companyId: ObjectId, skus: string[]): Promise<IEmagSkusResponse>;
}
