import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { DeveloperConfigClient } from './developer-config-client';
import { MwsCredentialsClient } from './mws-credentials-client';
import { AmazonType } from '../models/marketplace-names';
import { ConsoleLogger } from '../logging/console-logger';
export declare class FinancialEventsClient extends EveClient {
    protected env: Environment;
    private mwsCredentialsKeeper;
    private developerConfigKeeper;
    private logger;
    constructor(env: Environment, mwsCredentialsKeeper: MwsCredentialsClient, developerConfigKeeper: DeveloperConfigClient, logger: ConsoleLogger);
    downloadFinancialEvents(companyId: ObjectId, marketplace: AmazonType, fromDate: Date): Promise<void>;
}
