import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { ObjectId } from 'bson';
import { MarketplaceName } from '../models/marketplace-names';
export declare type ApiMarketplaceStatus = 'online' | 'offline' | 'error';
export interface ApiMarketplace {
    marketplaceId: string;
    name: MarketplaceName;
    status: ApiMarketplaceStatus;
}
export interface ApiListingStatistics {
    ok: number;
    error: number;
}
export interface ApiMarketplacePatch {
    status?: ApiMarketplaceStatus;
    error?: string;
}
export declare class MarketplaceClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getAllMarketplaces(companyId: ObjectId): Promise<ApiMarketplace[]>;
    getMarketplace(companyId: ObjectId, name: MarketplaceName): Promise<ApiMarketplace>;
    getCurrentListingStatistics(companyId: ObjectId, name: MarketplaceName): Promise<ApiListingStatistics>;
    patchMarketplaceStatus(companyId: ObjectId, name: MarketplaceName, marketplace: ApiMarketplacePatch): Promise<{
        success: boolean;
    }>;
}
