/// <reference types="got" />
import { ObjectId } from 'bson';
import { EveClient } from './eve-client';
import { AmazonType, ApiOrder, ConsoleLogger, Environment, MarketplaceName } from '..';
interface IMwsCredentials {
    accessKey: string;
    secretKey: string;
    sellerId: string;
    token: string;
}
export declare class OrderClient extends EveClient {
    protected env: Environment;
    private logger;
    constructor(env: Environment, logger: ConsoleLogger);
    storeOrders(companyId: ObjectId, orders: ApiOrder[]): Promise<import("got").Response<any>>;
    downloadOrders(companyId: ObjectId, marketplaces: AmazonType[], fromLastUpdate: Date, toLastUpdate: Date, credentials: IMwsCredentials): Promise<void>;
    getOrdersByFulfillmentId(fulfillmentId: string): Promise<ApiOrder[]>;
    getOrder(companyId: ObjectId, marketplace: MarketplaceName, marketplaceOrderId: string): Promise<ApiOrder>;
    getMaybeOrder(companyId: ObjectId, marketplace: MarketplaceName, marketplaceOrderId: string): Promise<ApiOrder | null>;
}
export {};
