/// <reference types="got" />
import { ObjectId } from 'bson';
import { Environment } from '..';
import { EveClient } from './eve-client';
import { MarketplaceName } from '..';
export interface ApiProductAutopricing {
    companyId: ObjectId;
    marketplace: MarketplaceName;
    sku: string;
    active?: boolean;
    lastActivated?: Date;
    lastDeactivated?: Date;
    current?: number;
    currentShipping?: number;
    otherLowest?: number;
    otherLowestShipping?: number;
    penalty?: number;
    autoprice?: number;
    selling?: number;
    lastUpdated?: Date;
    buybox?: boolean;
    highestInBuybox?: number;
    lowestNonBuybox?: number;
    topCap?: number;
    bottomCap?: number;
    forceUpdate?: boolean;
}
export declare class ProductAutopricingClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    get(companyId: ObjectId, marketplace: MarketplaceName, skus: string[]): Promise<ApiProductAutopricing[]>;
    /**
     * Update product autopricing settings from frontend (FE > gateway > product service).
     */
    setActiveState(companyId: ObjectId, marketplace: MarketplaceName, skus: string[], active: boolean): Promise<import("got").Response<any>>;
    /**
     * Update top and bottom caps to determine min and max autopricing price.
     */
    setCaps(companyId: ObjectId, marketplace: MarketplaceName, skus: string[], topCap: number, bottomCap: number): Promise<import("got").Response<any>>;
}
