import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
export declare type ProductFeedType = 'GOOGLE_PRODUCT' | 'SHOPIFY' | 'SHOPTET' | 'NONE' | 'CUSTOM' | 'DATABASE';
export declare const PRODUCT_FEED_TYPE: ProductFeedType[];
export interface ApiProductFeedResult {
    companyId: ObjectId;
    productsInStock: number;
    productsWithEAN: number;
    productsAll: number;
    productsToBeListed: number;
    feedUrl: string;
    feedType: ProductFeedType;
    currency: string;
    error: string | null;
}
export declare class ProductFeedResultClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    get(companyId: ObjectId): Promise<ApiProductFeedResult>;
}
