import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { AmazonType } from '..';
export interface ApiLookupProduct {
    image: string;
    title: string;
    asin: string;
    url: string;
    group: string;
    price: number;
    currency: string;
    color: string;
    size: string;
    categoryId: string;
    rank: string;
}
export interface ApiLookupResult {
    quotaRemaining?: number;
    quotaMax?: number;
    quotaResetIn?: string;
    error: string;
    products: ApiLookupProduct[];
}
export declare class ProductLookupClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    lookup(companyId: ObjectId, marketplace: AmazonType, query: string): Promise<ApiLookupResult>;
}
