import { ObjectId } from 'bson';
import { EveClient } from './eve-client';
import { Environment } from '../bootstrapping/environment';
export interface ApiProductSync {
    _id: string;
    companyId: ObjectId;
    interval: number;
    startedOn: Date;
    finishedOn: Date;
    isSyncing: boolean;
    feedDownloadStartedOn: Date;
    feedDownloadFinishedOn: Date;
    isFeedSyncing: boolean;
    isFeedSyncIncoming: boolean;
}
export declare class ProductSyncClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getProductSync(companyId: ObjectId): Promise<ApiProductSync>;
    syncCompanyManually(companyId: ObjectId, onlyFeed: boolean): Promise<void>;
}
