import { ObjectId } from 'bson';
import { AmazonType } from '../models/marketplace-names';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { IMwsCredentials } from './product-pricing-client';
export interface ApiShipment {
    companyId: ObjectId;
    marketplace: AmazonType;
    marketplaceOrderId: string;
    shipmentId: string;
    shipmentItemId: string;
    sku: string;
    quantity: number;
    sellerCentralId: string;
    carrier: string;
    trackingNumber: string;
    billAddress: string;
    billCity: string;
    billState: string;
    billPostalCode: string;
    billCountry: string;
    currency: string;
    itemPromotionDiscount: number;
    shipPromotionDiscount: number;
    shipmentDate: Date;
    estimatedArrivalDate: Date;
}
export declare class ShipmentClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    downloadShipments(companyId: ObjectId, marketplace: AmazonType, credentials: IMwsCredentials, callback: string, from: Date, to?: Date): Promise<void>;
}
