import { ObjectId } from 'bson';
import { MwsCredentialsClient } from '../clients/mws-credentials-client';
import { AmazonType, MarketplaceName } from '../models/marketplace-names';
import { DeveloperConfigClient } from '../clients/developer-config-client';
import { MwsCreator, MwsState } from './mws-creator';
export declare class CredentialsNotFound extends Error {
    constructor(companyId: ObjectId, marketplace: MarketplaceName);
}
export declare class MwsProvider {
    private credentialsKeeper;
    private mwsConfigKeeper;
    private mwsCreator;
    constructor(credentialsKeeper: MwsCredentialsClient, mwsConfigKeeper: DeveloperConfigClient, mwsCreator: MwsCreator);
    getMws(companyId: ObjectId, marketplace: AmazonType): Promise<MwsState>;
}
